Ticket #37 (closed defect: fixed)

Opened 7 years ago

Last modified 7 years ago

ruby-dbus test errors for introspection.rb and server_robustness_test.rb

Reported by: myra.nelson@… Owned by: nobody
Priority: normal Milestone:
Component: library Version:
Keywords: version 0.3.1 Cc:

Description

Steps to duplicate 1. Clone  http://github.com/mvidner/ruby-dbus 2. cd ruby-dbus 3. rake

should build, introspection.rb and server_robustness_test.rb fail See attached errors file and patches to correct problem.

ruby version = 1.9.1p429 (2010-07-02 revision 28523) [x86_64-linux] ruby-dbus version = "0.3.1" ruby-gems version = 1.37

Attachments

introspect.rb.patch Download (0.9 KB) - added by myra.nelson@… 7 years ago.
introspection.rb patch file
server_robustness_test.rb.patch Download (0.8 KB) - added by myra.nelson@… 7 years ago.
server_robustness_test.rb
test_errors.txt Download (4.1 KB) - added by myra.nelson@… 7 years ago.
text file with test errors shown

Change History

Changed 7 years ago by myra.nelson@…

introspection.rb patch file

Changed 7 years ago by myra.nelson@…

server_robustness_test.rb

Changed 7 years ago by myra.nelson@…

text file with test errors shown

Changed 7 years ago by anonymous

  • keywords version 0.3.1 added

Changed 7 years ago by martin.github@…

  • status changed from new to closed
  • resolution set to fixed

Thank you, I have applied your patches. I really need to automate running the test suite in both 1.8 and 1.9.

Note: See TracTickets for help on using tickets.